package com.zcxk.evaluation.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.zcxk.base.BaseEntity;
import com.zcxk.model.ProgramItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * sc_evaluation_cycle
 * @author: WYY
 * @date 2021-05-08 09:09
 */
@Data
@TableName("sc_evaluation_cycle")
public class EvaluationCycleEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 类型(0月度 1季度 2年度) */
    @ApiModelProperty(value = "类型(0月度 1季度 2年度)")
    private Integer type;

    @ApiModelProperty(value = "类型(0月度 1季度 2年度)")
    private String typeName;

    @ApiModelProperty(value = "所属部门ID")
    @TableField(exist = false)
    @JsonIgnore
    private Integer deptOrgId;

    @ApiModelProperty(value = "所属公司IDs")
    @TableField(exist = false)
    private List<Integer> companyOrgIds;

    @ApiModelProperty(value = "所属公司名称")
    @TableField(exist = false)
    private String companyOrgName;

    /** 考评日期 */
    @ApiModelProperty(value = "考评日期")
    private Integer evaluationDay;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value ="权限",hidden = true)
    @TableField(exist = false)
    @JsonIgnore
    private List<ProgramItem> programItems;

    @ApiModelProperty(value="用户权限类型")
    @TableField(exist = false)
    @JsonIgnore
    private Integer permissonType;

    /** 用户类型 */
    @ApiModelProperty(value = "用户类型(-9999 超管 -999普通用户 2普通用户)")
    @TableField(exist = false)
    @JsonIgnore
    private String userType;
  }
