package com.zcxk.evaluation.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName EvaluationResultVo
 * @Description: 考核结果出参
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考核结果返回信息")
public class EvaluationResultVo {

    @ApiModelProperty(value = "主键ID")
    private String id;

    @ApiModelProperty(value = "租户ID")
    private String tenantId;

    @ApiModelProperty(value = "被考评人")
    private String evaluationBe;

    @ApiModelProperty(value = "被考评人用户ID")
    private String evaluationBeUserId;

    @ApiModelProperty(value = "所属公司名字")
    private String companyOrgName;

    @ApiModelProperty(value = "所属部门名字")
    private String deptOrgName;

    @ApiModelProperty(value = "考评状态")
    private String state;

    @ApiModelProperty(value = "考评周期")
    private String cycle;

    @ApiModelProperty(value = "考评得分")
    private BigDecimal value;

    @ApiModelProperty(value = "绩效等级")
    private String evaluationGrade;

    // 以下是不需要返回给前端的数据

    @JsonIgnore
    @ApiModelProperty(value = "考评年份")
    private String year;

    @JsonIgnore
    @ApiModelProperty(value = "考评月份")
    private String month;

    @JsonIgnore
    @ApiModelProperty(value = "所属部门ID")
    private String deptOrgId;

    @JsonIgnore
    @ApiModelProperty(value = "所属公司ID")
    private String companyOrgId;

}
