package com.zcxk.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.dto.AlarmSettingDto;
import com.zcxk.entity.AlarmSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 *
 * 报警设置Dao接口
 *
 * @author yjy
 * @since 2020-11-17
 */
@Mapper
public interface AlarmSettingMapper extends BaseMapper<AlarmSetting> {
    /**
     * 自定义分页查询
     * @param  page
     * @param  alarmSettingDto 实体类
     */
    Page<AlarmSettingDto> findPage(IPage<AlarmSettingDto> page, @Param("alarm") AlarmSettingDto alarmSettingDto);
    /**
     * 根据设备id查询属性信息
     *
     * @param deviceId
     * @return
     */
    List<AlarmSettingDto> selectAttributes(@Param("deviceId")Integer deviceId,@Param("sceneId")Integer sceneId);
    /**
     * 修改实时报警数据
     *
     * @param ids 报警设置id
     * @param updateBy 修改人
     * @return
     */
    Integer updateRealtimeAlarm(@Param("ids")List<Long> ids,@Param("updateBy")String updateBy);
}
