package com.zcxk.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.zcxk.entity.AlarmDetailsEntity;
import com.zcxk.model.ProgramItem;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2020-11-16 11:48
 */
@Api("报警信息")
@Data
public class AlarmDetailsDto extends AlarmDetailsEntity {

    private static final long serialVersionUID = -3866939316262264972L;

    @ApiModelProperty("所属场景")
    private String sceneName;
    @ApiModelProperty("设备名称")
    private String deviceName;
    @ApiModelProperty("设备类型")
    private String deviceType;
    @ApiModelProperty("地址")
    private String address;
    @ApiModelProperty("经度")
    private BigDecimal pointX;
    @ApiModelProperty("维度")
    private BigDecimal pointY;
    @ApiModelProperty("持续时间，单位分钟")
    private Integer duration;

    @ApiModelProperty(value ="属性单位")
    private String unit;

    @ApiModelProperty(value ="报警参数")
    private String attributeName;

    @ApiModelProperty(value ="报警规则")
    private String alermRule;

    @ApiModelProperty(value ="查询条件：设备名称",hidden = true)
    private String condition;

    @ApiModelProperty(value = "开始时间",hidden = true)
    private Date startTime;
    @ApiModelProperty(value = "结束时间" ,hidden = true)
    private Date endTime;

    @ApiModelProperty(value = "场景ids" ,hidden = true )
    private List<Long> sceneIds;


    @ApiModelProperty(value ="权限",hidden = true)
    @JsonIgnore
    private List<ProgramItem> programItems;

    @ApiModelProperty(value="用户权限类型",hidden = true)
    @JsonIgnore
    private Integer permissonType;

    /** 用户类型 */
    @ApiModelProperty(value = "用户类型(-9999 超管 -999普通用户 2普通用户)",hidden = true)
    @JsonIgnore
    private String userType;

    @ApiModelProperty(value ="一级场景类型名称",hidden = true)
    @JsonIgnore
    private String sceneTypeName;
    @ApiModelProperty(value ="查询天数",hidden = true)
    @JsonIgnore
    private Integer days;

    @ApiModelProperty(value = "报警范围")
    private String alarmRange;

}
