package com.zcxk.dto.alarm;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.zcxk.model.ProgramItem;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 数据报警查询字段
 * @author lihui
 * @version V1.0
 * @date 2021/5/31
 **/
@Data
@Api("数据报警QUERY查询字段")
public class DataAlarmQueryDto extends DataAlarmDto implements Serializable {

    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ApiModelProperty(value ="权限",hidden = true)
    @JsonIgnore
    private List<ProgramItem> programItems;

    @ApiModelProperty(value = "用户类型(-9999 超管 -999普通用户 2普通用户)",hidden = true)
    @JsonIgnore
    private String userType;

    @ApiModelProperty(value="用户权限类型",hidden = true)
    @JsonIgnore
    private Integer permissonType;
}
