package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * sms_device_attribute_specs
 * @author: WYY
 * @date 2020-11-20 20:29
 */
@Data
@TableName("sms_device_attribute_specs")
public class DeviceAttributeSpecsEntity  implements Serializable{

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
	@TableId(type = IdType.AUTO)
    private Long id;

    /** 规格名称 */
    private String specsName;

    /** 规格值 */
    private String specsValue;

    /** 设备属性 */
    private Long attributeId;

    /** 数据删除标记 */
    @TableLogic
    @ApiModelProperty(value = "数据删除标记")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间",example = "2020-12-12 12:12:12")
    private Date dateCreate;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    /** 更新者 */
    @ApiModelProperty(value = "更新者")
    private String updateBy;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间",example = "2020-12-12 12:12:12")
    private Date dateUpdate;

}
