package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @description 设备信息实体类（uims_tenant）
 * @auto wangli
 * @data 2020-11-16 10:47
 */
@Data
@ApiModel("设备信息")
public class DeviceEntity implements Serializable {


    private static final long serialVersionUID = 6722509154948828769L;

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备编号")
    private String deviceCode;
    @ApiModelProperty(value = "设备类型")
    private Integer deviceTypeId;
    @ApiModelProperty(value = "所属公司")
    private Integer companyOrgId;
    @ApiModelProperty(value = "所属部门")
    private Integer deptOrgId;
    @ApiModelProperty(value = "一级所属场景")
    @TableField(exist = false)
    private Integer parentSceneId;
    @ApiModelProperty(value = "所属场景")
    private Integer sceneId;
    @ApiModelProperty(value = "经度")
    private BigDecimal pointX;
    @ApiModelProperty(value = "纬度")
    private BigDecimal pointY;
    @ApiModelProperty(value = "设备状态")
    private Integer enableState;
    @ApiModelProperty(value = "最后上报时间")
    private Date lastUpdateTime;
    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "数据删除标识")
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间",example = "2020-12-12 12:12:12")
    private Date dateCreate;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间",example = "2020-12-12 12:12:12")
    private Date dateUpdate;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
}
