package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * sms_device_scene
 * @author: WYY
 * @date 2020-12-23 09:57
 */
@Data
@TableName("sms_device_scene")
public class DeviceSceneEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
	@TableId(type = IdType.AUTO)
    @JsonIgnore
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 租户标识 */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    /** 一级场景 */
    @ApiModelProperty(value = "一级场景")
    @JsonIgnore
    private Long parentSceneId;

    /** 二级场景 */
    @ApiModelProperty(value = "二级场景")
    private Long sceneId;

    /** 设备信息 */
    @ApiModelProperty(value = "设备信息")
    private Long deviceId;

    @ApiModelProperty(value = "设备参数信息")
    @TableField(exist = false)
    List<DeviceParmEntity> deviceParms;

    /** 数据删除标记 */
    @TableLogic
    @ApiModelProperty(value = "数据删除标记")
    @JsonIgnore
    private Integer status;

    @JsonIgnore
    private Date dateCreate;

    @JsonIgnore
    private String createBy;

    /** 更新者 */
    @JsonIgnore
    private String updateBy;
    /** 更新时间 */
    @JsonIgnore
    private Date dateUpdate;

}
