package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * sms_scene_image
 * @author: WYY
 * @date 2020-11-17 22:38
 */
@Data
@TableName("sms_scene_image")
public class SceneImageEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
	@TableId(type = IdType.AUTO)
    private Long id;

    /** 图片类型 */
    private Long imageType;

    /** 图片路径 */
    private String imagePath;

    /** 所属场景 */
    private Long sceneId;

    /** 数据删除标记 */
    @TableLogic
    private Integer status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    /** 更新者 */
    @ApiModelProperty(value = "更新者")
    private String updateBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date dateCreate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date dateUpdate;

}
