package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.AreaDto;
import com.zcxk.entity.Area;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (Area)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-28 16:51:29
 */
@Mapper
public interface AreaMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Area selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<Area> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param area 实例对象
     * @return 对象列表
     */
    List<AreaDto> selectList(Area area);

    /**
     * 新增数据
     *
     * @param area 实例对象
     * @return 影响行数
     */
    int insert(Area area);

    /**
     * 批量新增
     *
     * @param areas 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("areas") List<Area> areas);

    /**
     * 修改数据
     *
     * @param area 实例对象
     * @return 影响行数
     */
    int update(Area area);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<Area> selectPage(IPage<Area> page, Area area);

}