package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.OperateLogDto;
import com.zcxk.entity.OperateLogEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description 操作日志数据层
 * @auto wangli
 * @data 2020-10-26 17:04
 */
@Mapper
public interface OperateLogMapper {
    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    OperateLogDto selectById(Integer id);

    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<OperateLogDto> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param operateLogDto 实例对象
     * @return 对象列表
     */
    List<OperateLogDto> selectList(OperateLogDto operateLogDto);

    /**
     * 新增数据
     *
     * @param operateLogEntity 实例对象
     * @return 影响行数
     */
    int insert(OperateLogEntity operateLogEntity);

    /**
     * 批量新增
     *
     * @param loginLogEntities 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<OperateLogEntity> loginLogEntities);

    /**
     * 修改数据
     *
     * @param operateLogEntity 实例对象
     * @return 影响行数
     */
    int update(OperateLogEntity operateLogEntity);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<OperateLogDto> selectPage(IPage<OperateLogDto> page, OperateLogDto operateLogDto);

    List<OperateLogDto> selectListByIds(@Param("ids") Long[] ids);
}
