package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.*;

import javax.validation.constraints.NotNull;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * uims_user_role
 * @author: WYY
 * @date 2020-10-24 18:26
 */
@Data
@TableName("uims_user_role")
public class UserRoleEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 用户ID */
    private Long userId;

    /** 角色ID */
    private Long roleId;

    /** 数据删除标记 */
    @TableLogic
    private Integer status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @NotNull(message = "参数值不能为空")
    private Date dateCreate;

    /** dateUpdate */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @NotNull(message = "参数值不能为空")
    private Date dateUpdate;

    @ApiModelProperty(value = "更新者")
    private String updateBy;
    /** 创建者 */
    @ApiModelProperty(value = "创建者")
    private String createBy;
    @ApiModelProperty(value = "角色名称")
    @TableField(exist = false)
    private String roleName;
}
