package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;

import javax.validation.constraints.NotNull;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * uims_user_tag
 * @author: WYY
 * @date 2020-10-23 15:43
 */
@Data
@TableName("uims_user_tag")
public class UserTagEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 标签ID */
    @ApiModelProperty(value = "标签ID")
    private Long tagId;

    /** 数据删除标记 */
    @ApiModelProperty(value = "数据删除标记")
    private Integer status;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @NotNull(message = "参数值不能为空")
    private Date dateCreate;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @NotNull(message = "参数值不能为空")
    private Date dateUpdate;

    @ApiModelProperty(value = "更新者")
    private String updateBy;
    /** 创建者 */
    @ApiModelProperty(value = "创建者")
    private String createBy;
}
