package com.zcxk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.DictDto;
import com.zcxk.entity.Dict;

import java.util.List;

/**
 * 数据字典(Dict)表服务接口
 *
 * @author yjy
 * @since 2020-10-26
 */
public interface DictService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Dict selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<Dict> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param dict 实例对象
     * @return 对象列表
     */
    List<Dict> selectList(Dict dict);

    /**
     * 新增数据
     *
     * @param dict 实例对象
     * @return 影响行数
     */
    int insert(Dict dict);

    /**
     * 批量新增
     *
     * @param dicts 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<Dict> dicts);

    /**
     * 修改数据
     *
     * @param dict 实例对象
     * @return 修改
     */
    int update(Dict dict);

    /**
     * 通过主键删除数据
     *
     * @param ids 主键
     * @return 影响行数
     */
    int deleteById(Long[] ids);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<Dict> selectPage(Dict app, IPage<Dict> page);
    /**
     * 字典编码和父配置ID数量
     *
     * @return 数据总数
     */
    int countByCodePid(Dict dict);

    /**
     * 查询父列表
     *
     * @param dict 实例对象
     * @return 对象列表
     */
    List<DictDto> selectParentList(Dict dict);
}