package com.zcxk.charge.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
/**
 * @author Andy
 */
@Data
@ApiModel("报表查询参数")
public class ReportQueryDto implements Serializable {

    private static final long serialVersionUID = 4074399088580570408L;

    @ApiModelProperty("管网传设备IDS/其他统计传场景IDS")
    private Long[] ids;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "报表类型(0日 1月 2年 3自定义)")
    private Integer reportType;

    @ApiModelProperty(value = "管网用到的字段：类型(1压力 2流量,3水质)")
    private Integer type;

    @ApiModelProperty(value = "场景类型：1:水源,2:水厂，3：泵站，4：管网")
    @NotNull
    private Integer sceneType;

    @ApiModelProperty("年")
    private Integer year;

    @ApiModelProperty(value = "月")
    private Integer month;

    @ApiModelProperty(value = "天")
    private Integer day;

    @ApiModelProperty(value = "pageNum")
    private Integer pageNum;

    @ApiModelProperty(value = "pageSize")
    private Integer pageSize;

}
