package com.zcxk.charge.api.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * @author Andy
 */
@Data
@ApiModel(value = "设备属性信息")
public class SceneDeviceAttributeDto {

    @ApiModelProperty(value = "一级场景")
    private Long sceneId;

    @ApiModelProperty(value = "设备信息")
    private Long deviceId;

    @ApiModelProperty("设备属性名称")
    private String attributeName;

    @ApiModelProperty(value = "年")
    private Integer year;

    @ApiModelProperty(value = "月")
    private Integer month;

    @ApiModelProperty(value = "日")
    private Integer day;

    @ApiModelProperty("设备属性ID")
    private Long attributeId;

    @ApiModelProperty(value = "属性类型标记",hidden = true)
    @JsonIgnore
    private String attributeType;

    @ApiModelProperty(value = "最小值")
    private Double minValue;

    @ApiModelProperty(value = "最大值")
    private Double maxValue;

    @ApiModelProperty(value = "平均值")
    private Double avgValue;

    @ApiModelProperty(value = "合计值")
    private Double sumValue;

    @ApiModelProperty(value = "最新值")
    private Double latestValue;

}
