package com.zcxk.charge.api.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
/**
 * @author  andy
 */
@Data
@ApiModel("压力报表参数列表")
public class DevicePressReportAttributeVo implements Serializable {
    private static final long serialVersionUID = 4074399088580570408L;
    @ApiModelProperty(value = "设备名称")
    private String deviceName;
    @ApiModelProperty(value = "设备编号")
    private String deviceCode;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "采集时间")
    private Date collectDate;

    @ApiModelProperty(value = "最小值")
    private Double minValue;
    @ApiModelProperty(value = "最大值")
    private Double maxValue;
    @ApiModelProperty(value = "平均值")
    private Double avgValue;
    @ApiModelProperty(value = "合计值")
    private Double sumValue;
    @ApiModelProperty(value = "最新值")
    private Double latestValue;

    @ApiModelProperty(value = "展示开关")
    private boolean showOnOff;

    @ApiModelProperty(value = "是否展示最小值")
    private boolean showMinValue;

    @ApiModelProperty(value = "是否展示最大值")
    private boolean showMaxValue;

    @ApiModelProperty(value = "是否展示平均值")
    private boolean showAvgValue;

    @ApiModelProperty(value = "是否展示合计值")
    private boolean showSumValue;

    @ApiModelProperty(value = "是否展示最新值")
    private boolean showLatestValue;
}
