package com.zcxk.charge.api.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.core.utils.converter.Double3Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * @description
 * @author  yjy
 * @data 2020-12-2
 */
@Data
@ApiModel("监测数据")
public class MonitorDataVo implements Serializable {

    private static final long serialVersionUID = 6916916266193290481L;

    @ApiModelProperty(value = "设备编号")
    private Integer deviceId;
    @ApiModelProperty(value = "设备属性编号")
    private Long attributeId;
    @ApiModelProperty(value = "设备属性名称")
    private String attributeName;
    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty(value = "采集数据")
    private Double dataValue;
    @ApiModelProperty(value = "单位")
    private String unit;
    @ApiModelProperty(value = "规格值")
    private String specsName;
    @ApiModelProperty(value = "是否报警 1报警 0正常")
    private Integer isAlarm;
    @ApiModelProperty(value = "属性类型标记",hidden = true)
    @JsonIgnore
    private String attributeType;
    @ApiModelProperty(value = "设备标识",hidden = true)
    @JsonIgnore
    private String deviceCode;
    @ApiModelProperty(value = "离线日报表昨日最新值",hidden = true)
    @JsonIgnore
    private Double latestValue;
    @ApiModelProperty(value = "报警范围")
    private String alarmRange;
}
