package com.zcxk.charge.core.dao;

import com.zcxk.charge.api.dto.ReportStatisticalDimensionDto;
import com.zcxk.charge.core.entity.ReportDimensionSettingEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
/**
 * @author Andy
 **/
@Mapper
public interface ReportDimensionSettingMapper {

    /**
    * 添加数据
    * @author Andy
    * @date 9:20 2021/8/18
    * @param dto:
    * @return void
    **/
    void saveDimensionSetting(ReportStatisticalDimensionDto dto);

    /**
    * 根据用户id查找集合
    * @author Andy
    * @date 9:20 2021/8/18
    * @param userId:
    * @return java.util.List<com.zcxk.charge.core.entity.ReportDimensionSettingEntity>
    **/
    List<ReportDimensionSettingEntity> findDimensionSetting(Integer userId);

    /**
    * 根据用户id查找历史记录
    * @author Andy
    * @date 9:20 2021/8/18
    * @param userId:
    * @return java.util.List<com.zcxk.charge.core.entity.ReportDimensionSettingEntity>
    **/
    List<ReportDimensionSettingEntity> findHistoryDataDimensionSetting(Integer userId);

    /**
    * 更新数据
    * @author Andy
    * @date 9:20 2021/8/18
    * @param dto:
    * @return void
    **/
    void updateDimensionSetting(ReportStatisticalDimensionDto dto);
}
