package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.core.entity.ThingSettingEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_thing_settingDAO接口
 * @author: WYY
 * @date 2020-12-28 15:18
 */
@Mapper
public interface ThingSettingMapper extends BaseMapper<ThingSettingEntity> {

	/**
	* 自定义分页查询
	* @author Andy
	* @date 18:15 2021/8/17
	* @param page:
	* @param thingSettingEntity:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.core.entity.ThingSettingEntity>
	**/
     Page<ThingSettingEntity> findPage(IPage<ThingSettingEntity> page,
                                       @Param("thingSetting") ThingSettingEntity thingSettingEntity);

     /**
     * 查询单个
     * @author Andy
     * @date 18:15 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.ThingSettingEntity
     **/
     ThingSettingEntity findThingSettingById(Serializable id);

     /**
     * 查询集合
     * @author Andy
     * @date 18:15 2021/8/17
     * @param thingSettingEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.ThingSettingEntity>
     **/
     List<ThingSettingEntity> findList(@Param("thingSetting") ThingSettingEntity thingSettingEntity);

     /**
     * 查询集合
     * @author Andy
     * @date 18:15 2021/8/17
     * @param thingSettingEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.ThingSettingEntity>
     **/
     List<ThingSettingEntity> findTotalList(@Param("thingSetting") ThingSettingEntity thingSettingEntity);

}
