package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.api.dto.*;
import com.zcxk.charge.api.vo.DevicePressReportAttributeVo;
import com.zcxk.charge.api.vo.DeviceWaterReportAttributeVo;
import com.zcxk.charge.api.vo.ReportAttributeVo;
import com.zcxk.charge.api.vo.ReportVo;
import com.zcxk.charge.core.entity.YearReportEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_day_reportDAO接口
 * @author: WYY
 * @date 2020-12-03 16:20
 */
@Mapper
public interface YearReportMapper extends BaseMapper<YearReportEntity> {

	/**
	* 自定义分页查询
	* @author Andy
	* @date 18:16 2021/8/17
	* @param page:
	* @param yearReportEntity:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.api.vo.ReportVo>
	**/
	Page<ReportVo> findPage(IPage<ReportDto> page, @Param("yearReport") YearReportEntity yearReportEntity);

	/**
	* 查询报表数据
	* @author Andy
	* @date 18:16 2021/8/17
	* @param page:
	* @param reportPageQueryDto:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.api.vo.ReportVo>
	**/
    Page<ReportVo> findPageReprot(IPage<ReportDto> page,@Param("yearReport") ReportPageQueryDto reportPageQueryDto);

    /**
    * 根据ID查询
    * @author Andy
    * @date 18:16 2021/8/17
    * @param id:
    * @return com.zcxk.charge.core.entity.YearReportEntity
    **/
    YearReportEntity findYearReportById(Serializable id);

    /**
    * 查询集合
    * @author Andy
    * @date 18:16 2021/8/17
    * @param yearReportEntity:
    * @return java.util.List<com.zcxk.charge.core.entity.YearReportEntity>
    **/
    List<YearReportEntity> findList(YearReportEntity yearReportEntity);

    /**
    * 查询属性
    * @author Andy
    * @date 18:16 2021/8/17
    * @param reportDto:
    * @return java.util.List<com.zcxk.charge.api.vo.ReportAttributeVo>
    **/
    List<ReportAttributeVo> findAttributeList(@Param("report") ReportDto reportDto);

    /**
    * 查询集合
    * @author Andy
    * @date 18:17 2021/8/17
    * @param item:
    * @return java.util.List<com.zcxk.charge.api.vo.ReportVo>
    **/
    List<ReportVo> findReport(@Param("report") ReportDto item);

    /**
    * 分页查询
    * @author Andy
    * @date 18:17 2021/8/17
    * @param page:
    * @param yearReportEntity:
    * @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.api.vo.DevicePressReportAttributeVo>
    **/
    Page<DevicePressReportAttributeVo> findDevicePressPage(IPage<DevicePressReportAttributeDto> page, @Param("yearReport") YearReportEntity yearReportEntity);

    /**
    * 分页查询
    * @author Andy
    * @date 18:17 2021/8/17
    * @param page:
    * @param yearReportEntity:
    * @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.api.vo.DeviceWaterReportAttributeVo>
    **/
    Page<DeviceWaterReportAttributeVo> findDeviceWaterPage(IPage<DeviceWaterReportAttributeDto> page, @Param("yearReport") YearReportEntity yearReportEntity);

    /**
    * 查询集合
    * @author Andy
    * @date 18:17 2021/8/17
    * @param yearReportEntity:
    * @return java.util.List<com.zcxk.charge.core.entity.YearReportEntity>
    **/
    List<YearReportEntity> findAmountTotalBySceneIds(@Param("yearReport") YearReportEntity yearReportEntity);

    /**
    * 查询合计
    * @author Andy
    * @date 18:17 2021/8/17
    * @param yearReportEntity:
    * @return com.zcxk.charge.core.entity.YearReportEntity
    **/
    YearReportEntity findSumValue(@Param("report") YearReportEntity yearReportEntity);
}
