package com.zcxk.charge.core.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 报警设置(sms_alarm_setting)实体类
 *
 * @author yjy
 * @since 2020-11-17
 */
@Data
@ApiModel
@TableName("sms_alarm_setting")
public class AlarmSetting implements Serializable {

    private static final long serialVersionUID = 460807634914426955L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(type= IdType.AUTO)
    private Integer id;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;
    /**
     * 一级场景id
     */
    @ApiModelProperty(value = "一级场景")
    private Long parentSceneId;
    /**
     * 一级场景名称
     */
    @ApiModelProperty(value = "一级场景名称")
    private String parentSceneName;
    /**
     * 场景id
     */
    @ApiModelProperty(value = "场景id")
    private Long sceneId;
    /**
     * 场景名称
     */
    @ApiModelProperty(value = "场景名称")
    private String sceneName;
    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private Integer deviceId;
    /**
     * 设备属性编号
     */
    @ApiModelProperty(value = "设备属性编号")
    private Integer attributeId;
    /**
     * 报警类型
     */
    @ApiModelProperty(value = "报警类型",notes = "参数报警、状态报警")
    private String alarmType;
    /**
     * 报警条件
     */
    @ApiModelProperty(value = "报警条件")
    private String alarmCondition;
    /**
     * 报警值
     */
    @ApiModelProperty(value = "报警值")
    private Double alarmValue;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 数据删除标识
     */
    @ApiModelProperty(value = "数据删除标识")
    @TableLogic
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;
    /**
     * 报警设置开始时间
     */
    @ApiModelProperty(value = "报警设置开始时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String startTime;
    /**
     * 报警设置结束时间
     */
    @ApiModelProperty(value = "报警设置结束时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String endTime;
}