package com.zcxk.charge.core.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * sms_device_setup_record
 * @author: WYY
 * @date 2021-05-10 14:39
 */
@Data
@TableName("sms_device_setup_record")
public class DeviceSetupRecordEntity{

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
	@TableId(type = IdType.AUTO)
    private Long id;

    /** 租户标识 */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    /** 场景ID */
    private Long sceneId;

    /** 设备ID */
    private Long deviceId;

    /** 属性ID */
    private Long attributeId;

    /** 设置指令ID */
    private Long setupMethodId;

    /** 执行状态(0执行中 1执行成功 2执行失败) */
    private Integer state;
    /**
     * 操作类型
     */
    @TableField(exist = false)
    private Integer type;

    /** 参数 */
    private String params;

    /** 数据删除标记 */
    @TableLogic
    @ApiModelProperty(value = "数据删除标记")
    @JsonIgnore
    private Integer status;

    @JsonIgnore
    private Date dateCreate;

    @JsonIgnore
    private String createBy;

    /** 更新者 */
    @JsonIgnore
    private String updateBy;
    /** 更新时间 */
    @JsonIgnore
    private Date dateUpdate;

}
