package com.zcxk.charge.core.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * sms_device_type
 * @author: WYY
 * @date 2020-11-18 08:21
 */
@Data
@TableName("sms_device_type")
public class DeviceTypeEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 厂商名称 */
    @ApiModelProperty(value = "厂商名称")
    private String manufacturerName;

    /** 厂商ID */
    @ApiModelProperty(value = "厂商ID")
    private String manufacturerId;

    /** 设备类型 */
    @ApiModelProperty(value = "设备类型")
    private String deviceType;

    /** 设备型号 */
    @ApiModelProperty(value = "设备型号")
    private String deviceMode;

    /** 数据删除标记 */
    @TableLogic
    @ApiModelProperty(value = "数据删除标记")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间",example = "2020-12-12 12:12:12")
    private Date dateCreate;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    /** 更新者 */
    @ApiModelProperty(value = "更新者")
    private String updateBy;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间",example = "2020-12-12 12:12:12")
    private Date dateUpdate;

    @ApiModelProperty(value = "设备属性")
    @TableField(exist = false)
    private List<DeviceAttributeEntity> properties;
}
