package com.bz.rmcp.alarm;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.core.env.Environment;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author linqingwei
 * @date 2021-08-05 9:53
 */
@Slf4j
@EnableCaching  //开启缓存
@ComponentScan(basePackages = {"com.zcxk","com.bz"})
@MapperScan("com.zcxk.rmcp.core.dao")
@SpringBootApplication
public class RmcpAlarmApplication implements CommandLineRunner {
    public static void main(String[] args) {
        SpringApplication.run(RmcpAlarmApplication.class, args);
    }

    @Override
    public void run(String... args) throws Exception {
        log.info("RmcpDapApplication Starting ... ");
    }
}
