package com.zcxk.rmcp.api.dto.install;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class InstallDetailDto {
    private Integer id;

    @ApiModelProperty(value="计划名称")
    private String planName;

    @ApiModelProperty(value="总户数")
    private Integer doorNum;

    @ApiModelProperty(value="验收数")
    private Integer acceptedNum;

    @ApiModelProperty(value="安装数")
    private Integer installNum;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value="产品名称")
    private String productName;

    @ApiModelProperty(value="产品型号")
    private String productModel;

    @ApiModelProperty(value="厂商名称")
    private String manufacturerName;

    @ApiModelProperty(value="公司名称")
    private String companyName;

    @ApiModelProperty(value="部门名称")
    private String deptName;

    @ApiModelProperty(value="小区名称")
    private String communityName;

    @ApiModelProperty(value="地址")
    private String address;

    @ApiModelProperty(value = "省", position = 101)
    private String provinceName;

    @ApiModelProperty(value = "市", position = 102)
    private String cityName;

    @ApiModelProperty(value = "区", position = 103)
    private String regionName;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="是否启用单元 0：否 1：是", position = 2)
    private Integer enableUnit;

    @ApiModelProperty(value="安装数据", position = 101)
    List<InstallPlanDataDto> installPlanDataList;

}
