package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 
 * @author linqingwei
 * @date 2021-07-21 9:44
 */
@ApiModel(value="安装清单")
@Data
public class InstallList {

    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="租户")
    private String tenantId;

    @ApiModelProperty(value="计划id，参考sc_install_plan")
    private Integer installPlanId;

    @ApiModelProperty(value="安装计划数据id")
    private Long installPlanDataId;

    @ApiModelProperty(value="门牌")
    private String doorNo;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="新表起度")
    private String newBeginDegree;

    @ApiModelProperty(value="旧表止度")
    private String oldEndDegree;

    @ApiModelProperty(value="旧表图片URL")
    private String oldImageUrl;

    @ApiModelProperty(value="")
    private String meterCode;

    @ApiModelProperty(value="用户姓名")
    private String userName;

    @ApiModelProperty(value="用户手机号")
    private String userPhone;

    @ApiModelProperty(value="身份证号")
    private String idCard;

    @ApiModelProperty(value="是否已安装，0否1是")
    private Integer isInstalled;

    @ApiModelProperty(value="是否验收，0否1是")
    private Integer isAccepted;

    @ApiModelProperty(value="验收时间")
    private LocalDateTime acceptTime;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value="更新时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @ApiModelProperty(value="更新人")
    private String updateBy;
}